> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-ko/content/entity-types/wearables.md).

# 착용 아이템

웨어러블은 [엔티티](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md) 플레이어가 착용하고 아바타를 커스터마이즈할 수 있는 아이템이 들어 있는

그 `웨어러블` 플레이어의 [프로필](https://github.com/decentraland/docs/tree/main/contributor/entity-types/profiles/README.md) 현재 착용 중인 아이템에 대한 포인터 목록이 들어 있습니다.

모든 웨어러블은 하나의 *카테고리*이며, 아바타 몸에서 차지하는 위치를 나타내고, 다른 카테고리를 숨기거나 대체할 수 있습니다(예: 긴 드레스는 상의로 착용되지만 다리를 완전히 가릴 수 있습니다).

참조되는 웨어러블 카테고리는 18개이며, 다양한 메타데이터 필드에 사용됩니다: `body_shape`, `hair`, `eyes`, `eyebrows`, `facial_hair`, `mouth`, `upper_body`, `lower_body`, `feet`, `hat`, `helmet`, `mask`, `tiara`, `top_head`, `earring`, `eyewear`, `skin` 및 `hands_wear`.

웨어러블 엔터티에는 서로 다른 체형을 위한 GLB 형식 파일이 포함됩니다.

### 포인터 <a href="#pointers" id="pointers"></a>

웨어러블에는 정확히 하나의 관련 [포인터에 대해](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md)가 있으며, 이는 [collection](https://github.com/decentraland/docs/tree/main/contributor/entity-types/collections/README.md) 속한 컬렉션과 그 안의 식별자를 나타냅니다.

웨어러블이 온체인 자산인 경우, 포인터는 다음 형식의 URN입니다:

```
urn:decentraland:<blockchain>:collections-v2:<collection address>:<item index>
```

예를 들어, 온체인 웨어러블의 `포인터` 배열은 다음과 같습니다:

```json
{
  "pointers": [
    "urn:decentraland:matic:collections-v2:0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5:0"
  ],
  // ... 다른 엔티티 속성
}
```

웨어러블이 오프체인 자산인 경우, 예를 들어 새 아바타의 기본 웨어러블처럼, 다음 형식이 됩니다:

```
urn:decentraland:off-chain:<collection>:<item name>
```

이 경우 컬렉션은 주소가 아니라 이름이며, 아이템 식별자도 인덱스가 아니라 이름입니다.

그 `포인터` 오프체인 웨어러블의 배열은 다음과 같습니다:

```json
{
  "pointers": [
    "urn:decentraland:off-chain:base-avatars:BaseFemale"
  ],
  // ... 다른 엔티티 속성
}
```

### 메타데이터 필드

웨어러블은 기본 필드 대부분을 [감정 표현](https://github.com/decentraland/docs/tree/main/contributor/entity-types/emotes/README.md)그 `데이터` 속성에 웨어러블 관련 정보가 있습니다.

| 필드                  | 값                                                                                                                     |
| ------------------- | --------------------------------------------------------------------------------------------------------------------- |
| `ID`                | 그 [포인터에 대해](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md) 이 웨어러블로 확인(또는 이전에 확인)되는.   |
| `name`              | 이 웨어러블의 표시 제목은 [collection](https://github.com/decentraland/docs/tree/main/contributor/collections/README.md).        |
| `description`       | 이 웨어러블에 대한 확장 설명입니다.                                                                                                  |
| `이미지`               | 그 [내부 파일 이름](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) 이 웨어러블 사진의          |
| `썸네일`               | 그 [내부 파일 이름](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) 의 256x256 버전 `이미지`. |
| `희귀도`               | 다음 중 하나 `일반`, `흔치 않음`, `희귀`, `서사적`, `전설적`, `이국적`, `신화적` 또는 `고유`.                                                      |
| `i18n`              | 다음에 대한 번역 배열: `name` 필드.                                                                                              |
| `collectionAddress` | 이 웨어러블이 포함된 컬렉션의 이더리움 주소입니다.                                                                                          |
| `metrics`           | 애니메이션에 대한 몇 가지 유용한 측정값입니다(아래 참조).                                                                                     |
| `데이터`               | 이 웨어러블의 확장 메타데이터입니다(아래 참조).                                                                                           |

일반적인 JSON 형식으로:

```json
{
  "id": "urn:decentraland:matic:collections-v2:0x11a6879861f36cbad632b4e7226816a16139fb33:0",
  "name": "예쁜 드레스",
  "description": "착용하기 아주 좋음",
  "image": "image.png",
  "thumbnail": "thumbnail.png",
  "rarity": "흔치 않음",
  "i18n": [
    { "code": "es", "text": "Vestido Lindo" }
  ],
  "collectionAddress": "0x11a6879861f36cbad632b4e7226816a16139fb33",
  "metrics": {
    // 측정값 객체(아래 참조).
  },
  "data": {
    // 확장 메타데이터(아래 참조).
  }
}
```

### 측정값

다음 `metadata.metrics` 객체에서는 이 웨어러블과 함께 패키징된 모델에 대한 몇 가지 간단한 측정값을 찾을 수 있습니다. 예:

```json
{
  "entities": 1,
  "bodies": 12,
  "materials": 2,
  "meshes": 12,
  "textures": 2,
  "triangles": 3321
}
```

### 데이터

그 `metadata.data` 객체에는 웨어러블 전용 속성이 있습니다.

| 필드             | 값                           |
| -------------- | --------------------------- |
| `카테고리`         | 위에 나열된 웨어러블 카테고리 중 하나.      |
| `표현`           | 서로 다른 체형과 연결된 파일 배열(아래 참조). |
| `숨김`           | 이 웨어러블이 숨기는 카테고리 배열.        |
| `이전 것들을 대체할 때` | 이 웨어러블이 완전히 대체하는 카테고리 배열.   |
| `tags`         | 이 웨어러블을 설명하는 문자열 레이블 배열.    |

#### 표현

representations 배열의 각 항목은 하나의 체형을 모델 모음과 연결하며, 각 카테고리에서 어떤 웨어러블이 표시될지에 대한 규칙을 추가할 수 있습니다.

| 필드                 | 값                                                                                                                                            |
| ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| `bodyShapes`       | 다음의 배열 [포인터](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md) 체형 엔터티에.                                         |
| `mainFile`         | 렌더링을 시작할 3D 모델 파일입니다.                                                                                                                        |
| `contents`         | 상위 수준의 [`콘텐츠` 필드에 있는 파일 이름 배열(](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#properties)에서 사용되는 `mainFile`. |
| `overrideHides`    | 다음을 대체합니다 `숨김` 이 표현형에 대한 위의 목록을.                                                                                                             |
| `overrideReplaces` | 다음을 대체합니다 `이전 것들을 대체할 때` 이 표현형에 대한 위의 목록을.                                                                                                   |

이것은 일반적인 `표현` 항목입니다:

```json
{
  "bodyShapes": [
      "urn:decentraland:off-chain:base-avatars:BaseFemale"
  ],
  "mainFile": "male/190.glb",
  "contents": [
      "male/190.glb"
  ],
  "overrideHides": [ "lower_body" ],
  "overrideReplaces": []
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/contributor/contributor-ko/content/entity-types/wearables.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
